org.eclipse.emf.cdo.expressions.impl

## Class ExpressionsPackageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.emf.cdo.expressions.impl.ExpressionsPackageImpl

- All Implemented Interfaces:
    ExpressionsPackage, Notifier, EModelElement, ENamedElement, EObject, EPackage, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, BasicExtendedMetaData.EPackageExtendedMetaData.Holder

      public class ExpressionsPackageImpl
      extends EPackageImpl
      implements ExpressionsPackage

  An implementation of the model Package.
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `EPackageImpl.EBasicWhiteList`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.expressions.ExpressionsPackage

      `ExpressionsPackage.Literals`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `EPackage.Descriptor, EPackage.Registry`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `name, NAME_EDEFAULT`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.cdo.expressions.ExpressionsPackage

      `ACCESS, ACCESS___EVALUATE__EVALUATIONCONTEXT, ACCESS__NAME, ACCESS_FEATURE_COUNT, ACCESS_OPERATION_COUNT, BOOLEAN_VALUE, BOOLEAN_VALUE___EVALUATE__EVALUATIONCONTEXT, BOOLEAN_VALUE___GET_LITERAL, BOOLEAN_VALUE__LITERAL, BOOLEAN_VALUE_FEATURE_COUNT, BOOLEAN_VALUE_OPERATION_COUNT, BYTE_VALUE, BYTE_VALUE___EVALUATE__EVALUATIONCONTEXT, BYTE_VALUE___GET_LITERAL, BYTE_VALUE__LITERAL, BYTE_VALUE_FEATURE_COUNT, BYTE_VALUE_OPERATION_COUNT, CHAR_VALUE, CHAR_VALUE___EVALUATE__EVALUATIONCONTEXT, CHAR_VALUE___GET_LITERAL, CHAR_VALUE__LITERAL, CHAR_VALUE_FEATURE_COUNT, CHAR_VALUE_OPERATION_COUNT, CONTAINED_OBJECT, CONTAINED_OBJECT___EVALUATE__EVALUATIONCONTEXT, CONTAINED_OBJECT__OBJECT, CONTAINED_OBJECT_FEATURE_COUNT, CONTAINED_OBJECT_OPERATION_COUNT, CONTEXT_ACCESS, CONTEXT_ACCESS___EVALUATE__EVALUATIONCONTEXT, CONTEXT_ACCESS__NAME, CONTEXT_ACCESS_FEATURE_COUNT, CONTEXT_ACCESS_OPERATION_COUNT, DOUBLE_VALUE, DOUBLE_VALUE___EVALUATE__EVALUATIONCONTEXT, DOUBLE_VALUE___GET_LITERAL, DOUBLE_VALUE__LITERAL, DOUBLE_VALUE_FEATURE_COUNT, DOUBLE_VALUE_OPERATION_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, EVALUATION_CONTEXT, EXPRESSION, EXPRESSION___EVALUATE__EVALUATIONCONTEXT, EXPRESSION_FEATURE_COUNT, EXPRESSION_OPERATION_COUNT, FLOAT_VALUE, FLOAT_VALUE___EVALUATE__EVALUATIONCONTEXT, FLOAT_VALUE___GET_LITERAL, FLOAT_VALUE__LITERAL, FLOAT_VALUE_FEATURE_COUNT, FLOAT_VALUE_OPERATION_COUNT, FUNCTION_INVOCATION, FUNCTION_INVOCATION___EVALUATE__EVALUATIONCONTEXT, FUNCTION_INVOCATION__ARGUMENTS, FUNCTION_INVOCATION__NAME, FUNCTION_INVOCATION_FEATURE_COUNT, FUNCTION_INVOCATION_OPERATION_COUNT, INT_VALUE, INT_VALUE___EVALUATE__EVALUATIONCONTEXT, INT_VALUE___GET_LITERAL, INT_VALUE__LITERAL, INT_VALUE_FEATURE_COUNT, INT_VALUE_OPERATION_COUNT, INVOCATION, INVOCATION___EVALUATE__EVALUATIONCONTEXT, INVOCATION__ARGUMENTS, INVOCATION__NAME, INVOCATION_FEATURE_COUNT, INVOCATION_OPERATION_COUNT, LINKED_EXPRESSION, LINKED_EXPRESSION___EVALUATE__EVALUATIONCONTEXT, LINKED_EXPRESSION__EXPRESSION, LINKED_EXPRESSION_FEATURE_COUNT, LINKED_EXPRESSION_OPERATION_COUNT, LINKED_OBJECT, LINKED_OBJECT___EVALUATE__EVALUATIONCONTEXT, LINKED_OBJECT__OBJECT, LINKED_OBJECT_FEATURE_COUNT, LINKED_OBJECT_OPERATION_COUNT, LIST_CONSTRUCTION, LIST_CONSTRUCTION___EVALUATE__EVALUATIONCONTEXT, LIST_CONSTRUCTION__ELEMENTS, LIST_CONSTRUCTION_FEATURE_COUNT, LIST_CONSTRUCTION_OPERATION_COUNT, LONG_VALUE, LONG_VALUE___EVALUATE__EVALUATIONCONTEXT, LONG_VALUE___GET_LITERAL, LONG_VALUE__LITERAL, LONG_VALUE_FEATURE_COUNT, LONG_VALUE_OPERATION_COUNT, MEMBER_ACCESS, MEMBER_ACCESS___EVALUATE__EVALUATIONCONTEXT, MEMBER_ACCESS__NAME, MEMBER_ACCESS__OBJECT, MEMBER_ACCESS_FEATURE_COUNT, MEMBER_ACCESS_OPERATION_COUNT, MEMBER_INVOCATION, MEMBER_INVOCATION___EVALUATE__EVALUATIONCONTEXT, MEMBER_INVOCATION__ARGUMENTS, MEMBER_INVOCATION__NAME, MEMBER_INVOCATION__OBJECT, MEMBER_INVOCATION_FEATURE_COUNT, MEMBER_INVOCATION_OPERATION_COUNT, SHORT_VALUE, SHORT_VALUE___EVALUATE__EVALUATIONCONTEXT, SHORT_VALUE___GET_LITERAL, SHORT_VALUE__LITERAL, SHORT_VALUE_FEATURE_COUNT, SHORT_VALUE_OPERATION_COUNT, STATIC_ACCESS, STATIC_ACCESS___EVALUATE__EVALUATIONCONTEXT, STATIC_ACCESS__NAME, STATIC_ACCESS_FEATURE_COUNT, STATIC_ACCESS_OPERATION_COUNT, STRING_VALUE, STRING_VALUE___EVALUATE__EVALUATIONCONTEXT, STRING_VALUE___GET_LITERAL, STRING_VALUE__LITERAL, STRING_VALUE_FEATURE_COUNT, STRING_VALUE_OPERATION_COUNT, VALUE, VALUE___EVALUATE__EVALUATIONCONTEXT, VALUE___GET_LITERAL, VALUE_FEATURE_COUNT, VALUE_OPERATION_COUNT`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createPackageContents()` Creates the meta-model objects for the package.
    `EReference` | `getAccess_Name()`
    `EClass` | `getAccess()`
    `EAttribute` | `getBooleanValue_Literal()`
    `EClass` | `getBooleanValue()`
    `EAttribute` | `getByteValue_Literal()`
    `EClass` | `getByteValue()`
    `EAttribute` | `getCharValue_Literal()`
    `EClass` | `getCharValue()`
    `EReference` | `getContainedObject_Object()`
    `EClass` | `getContainedObject()`
    `EClass` | `getContextAccess()`
    `EAttribute` | `getDoubleValue_Literal()`
    `EClass` | `getDoubleValue()`
    `EDataType` | `getEvaluationContext()`
    `EOperation` | `getExpression__Evaluate__EvaluationContext()`
    `EClass` | `getExpression()`
    `ExpressionsFactory` | `getExpressionsFactory()`
    `EAttribute` | `getFloatValue_Literal()`
    `EClass` | `getFloatValue()`
    `EClass` | `getFunctionInvocation()`
    `EAttribute` | `getIntValue_Literal()`
    `EClass` | `getIntValue()`
    `EReference` | `getInvocation_Arguments()`
    `EReference` | `getInvocation_Name()`
    `EClass` | `getInvocation()`
    `EReference` | `getLinkedExpression_Expression()`
    `EClass` | `getLinkedExpression()`
    `EReference` | `getLinkedObject_Object()`
    `EClass` | `getLinkedObject()`
    `EReference` | `getListConstruction_Elements()`
    `EClass` | `getListConstruction()`
    `EAttribute` | `getLongValue_Literal()`
    `EClass` | `getLongValue()`
    `EReference` | `getMemberAccess_Object()`
    `EClass` | `getMemberAccess()`
    `EReference` | `getMemberInvocation_Object()`
    `EClass` | `getMemberInvocation()`
    `EAttribute` | `getShortValue_Literal()`
    `EClass` | `getShortValue()`
    `EClass` | `getStaticAccess()`
    `EAttribute` | `getStringValue_Literal()`
    `EClass` | `getStringValue()`
    `EOperation` | `getValue__GetLiteral()`
    `EClass` | `getValue()`
    `static ExpressionsPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
    `void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `eContents, eCrossReferences, getName, getNameGen, setName`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### init

          public static ExpressionsPackage init()

      Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

      This method is used to initialize `ExpressionsPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

      See Also:
        `ExpressionsPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`
      Generated

    - #### getExpression

          public EClass getExpression()

      Specified by:
        `getExpression` in interface `ExpressionsPackage`
      Returns:
        the meta object for class 'Expression'.
      See Also:
        `Expression`
      Generated

    - #### getExpression__Evaluate__EvaluationContext

          public EOperation getExpression__Evaluate__EvaluationContext()

      Specified by:
        `getExpression__Evaluate__EvaluationContext` in interface `ExpressionsPackage`
      Returns:
        the meta object for the 'Evaluate' operation.
      See Also:
        `Expression.evaluate(org.eclipse.emf.cdo.expressions.EvaluationContext)`
      Generated

    - #### getValue

          public EClass getValue()

      Specified by:
        `getValue` in interface `ExpressionsPackage`
      Returns:
        the meta object for class 'Value'.
      See Also:
        `Value`
      Generated

    - #### getValue__GetLiteral

          public EOperation getValue__GetLiteral()

      Specified by:
        `getValue__GetLiteral` in interface `ExpressionsPackage`
      Returns:
        the meta object for the 'Get Literal' operation.
      See Also:
        `Value.getLiteral()`
      Generated

    - #### getBooleanValue

          public EClass getBooleanValue()

      Specified by:
        `getBooleanValue` in interface `ExpressionsPackage`
      Returns:
        the meta object for class 'Boolean Value'.
      See Also:
        `BooleanValue`
      Generated

    - #### getBooleanValue_Literal

          public EAttribute getBooleanValue_Literal()

      Specified by:
        `getBooleanValue_Literal` in interface `ExpressionsPackage`
      Returns:
        the meta object for the attribute 'Literal'.
      See Also:
        `BooleanValue.isLiteral()`, `ExpressionsPackage.getBooleanValue()`
      Generated

    - #### getByteValue

          public EClass getByteValue()

      Specified by:
        `getByteValue` in interface `ExpressionsPackage`
      Returns:
        the meta object for class 'Byte Value'.
      See Also:
        `ByteValue`
      Generated

    - #### getByteValue_Literal

          public EAttribute getByteValue_Literal()

      Specified by:
        `getByteValue_Literal` in interface `ExpressionsPackage`
      Returns:
        the meta object for the attribute 'Literal'.
      See Also:
        `ByteValue.getLiteral()`, `ExpressionsPackage.getByteValue()`
      Generated

    - #### getShortValue

          public EClass getShortValue()

      Specified by:
        `getShortValue` in interface `ExpressionsPackage`
      Returns:
        the meta object for class 'Short Value'.
      See Also:
        `ShortValue`
      Generated

    - #### getShortValue_Literal

          public EAttribute getShortValue_Literal()

      Specified by:
        `getShortValue_Literal` in interface `ExpressionsPackage`
      Returns:
        the meta object for the attribute 'Literal'.
      See Also:
        `ShortValue.getLiteral()`, `ExpressionsPackage.getShortValue()`
      Generated

    - #### getIntValue

          public EClass getIntValue()

      Specified by:
        `getIntValue` in interface `ExpressionsPackage`
      Returns:
        the meta object for class 'Int Value'.
      See Also:
        `IntValue`
      Generated

    - #### getIntValue_Literal

          public EAttribute getIntValue_Literal()

      Specified by:
        `getIntValue_Literal` in interface `ExpressionsPackage`
      Returns:
        the meta object for the attribute 'Literal'.
      See Also:
        `IntValue.getLiteral()`, `ExpressionsPackage.getIntValue()`
      Generated

    - #### getLongValue

          public EClass getLongValue()

      Specified by:
        `getLongValue` in interface `ExpressionsPackage`
      Returns:
        the meta object for class 'Long Value'.
      See Also:
        `LongValue`
      Generated

    - #### getLongValue_Literal

          public EAttribute getLongValue_Literal()

      Specified by:
        `getLongValue_Literal` in interface `ExpressionsPackage`
      Returns:
        the meta object for the attribute 'Literal'.
      See Also:
        `LongValue.getLiteral()`, `ExpressionsPackage.getLongValue()`
      Generated

    - #### getFloatValue

          public EClass getFloatValue()

      Specified by:
        `getFloatValue` in interface `ExpressionsPackage`
      Returns:
        the meta object for class 'Float Value'.
      See Also:
        `FloatValue`
      Generated

    - #### getFloatValue_Literal

          public EAttribute getFloatValue_Literal()

      Specified by:
        `getFloatValue_Literal` in interface `ExpressionsPackage`
      Returns:
        the meta object for the attribute 'Literal'.
      See Also:
        `FloatValue.getLiteral()`, `ExpressionsPackage.getFloatValue()`
      Generated

    - #### getDoubleValue

          public EClass getDoubleValue()

      Specified by:
        `getDoubleValue` in interface `ExpressionsPackage`
      Returns:
        the meta object for class 'Double Value'.
      See Also:
        `DoubleValue`
      Generated

    - #### getDoubleValue_Literal

          public EAttribute getDoubleValue_Literal()

      Specified by:
        `getDoubleValue_Literal` in interface `ExpressionsPackage`
      Returns:
        the meta object for the attribute 'Literal'.
      See Also:
        `DoubleValue.getLiteral()`, `ExpressionsPackage.getDoubleValue()`
      Generated

    - #### getCharValue

          public EClass getCharValue()

      Specified by:
        `getCharValue` in interface `ExpressionsPackage`
      Returns:
        the meta object for class 'Char Value'.
      See Also:
        `CharValue`
      Generated

    - #### getCharValue_Literal

          public EAttribute getCharValue_Literal()

      Specified by:
        `getCharValue_Literal` in interface `ExpressionsPackage`
      Returns:
        the meta object for the attribute 'Literal'.
      See Also:
        `CharValue.getLiteral()`, `ExpressionsPackage.getCharValue()`
      Generated

    - #### getStringValue

          public EClass getStringValue()

      Specified by:
        `getStringValue` in interface `ExpressionsPackage`
      Returns:
        the meta object for class 'String Value'.
      See Also:
        `StringValue`
      Generated

    - #### getStringValue_Literal

          public EAttribute getStringValue_Literal()

      Specified by:
        `getStringValue_Literal` in interface `ExpressionsPackage`
      Returns:
        the meta object for the attribute 'Literal'.
      See Also:
        `StringValue.getLiteral()`, `ExpressionsPackage.getStringValue()`
      Generated

    - #### getInvocation

          public EClass getInvocation()

      Specified by:
        `getInvocation` in interface `ExpressionsPackage`
      Returns:
        the meta object for class 'Invocation'.
      See Also:
        `Invocation`
      Generated

    - #### getInvocation_Arguments

          public EReference getInvocation_Arguments()

      Specified by:
        `getInvocation_Arguments` in interface `ExpressionsPackage`
      Returns:
        the meta object for the containment reference list 'Arguments'.
      See Also:
        `Invocation.getArguments()`, `ExpressionsPackage.getInvocation()`
      Generated

    - #### getInvocation_Name

          public EReference getInvocation_Name()

      Specified by:
        `getInvocation_Name` in interface `ExpressionsPackage`
      Returns:
        the meta object for the containment reference 'Name'.
      See Also:
        `Invocation.getName()`, `ExpressionsPackage.getInvocation()`
      Generated

    - #### getFunctionInvocation

          public EClass getFunctionInvocation()

      Specified by:
        `getFunctionInvocation` in interface `ExpressionsPackage`
      Returns:
        the meta object for class 'Function Invocation'.
      See Also:
        `FunctionInvocation`
      Generated

    - #### getMemberInvocation

          public EClass getMemberInvocation()

      Specified by:
        `getMemberInvocation` in interface `ExpressionsPackage`
      Returns:
        the meta object for class 'Member Invocation'.
      See Also:
        `MemberInvocation`
      Generated

    - #### getMemberInvocation_Object

          public EReference getMemberInvocation_Object()

      Specified by:
        `getMemberInvocation_Object` in interface `ExpressionsPackage`
      Returns:
        the meta object for the containment reference 'Object'.
      See Also:
        `MemberInvocation.getObject()`, `ExpressionsPackage.getMemberInvocation()`
      Generated

    - #### getAccess

          public EClass getAccess()

      Specified by:
        `getAccess` in interface `ExpressionsPackage`
      Returns:
        the meta object for class 'Access'.
      See Also:
        `Access`
      Generated

    - #### getAccess_Name

          public EReference getAccess_Name()

      Specified by:
        `getAccess_Name` in interface `ExpressionsPackage`
      Returns:
        the meta object for the containment reference 'Name'.
      See Also:
        `Access.getName()`, `ExpressionsPackage.getAccess()`
      Generated

    - #### getStaticAccess

          public EClass getStaticAccess()

      Specified by:
        `getStaticAccess` in interface `ExpressionsPackage`
      Returns:
        the meta object for class 'Static Access'.
      See Also:
        `StaticAccess`
      Generated

    - #### getMemberAccess

          public EClass getMemberAccess()

      Specified by:
        `getMemberAccess` in interface `ExpressionsPackage`
      Returns:
        the meta object for class 'Member Access'.
      See Also:
        `MemberAccess`
      Generated

    - #### getMemberAccess_Object

          public EReference getMemberAccess_Object()

      Specified by:
        `getMemberAccess_Object` in interface `ExpressionsPackage`
      Returns:
        the meta object for the containment reference 'Object'.
      See Also:
        `MemberAccess.getObject()`, `ExpressionsPackage.getMemberAccess()`
      Generated

    - #### getContextAccess

          public EClass getContextAccess()

      Specified by:
        `getContextAccess` in interface `ExpressionsPackage`
      Returns:
        the meta object for class 'Context Access'.
      See Also:
        `ContextAccess`
      Generated

    - #### getContainedObject

          public EClass getContainedObject()

      Specified by:
        `getContainedObject` in interface `ExpressionsPackage`
      Returns:
        the meta object for class 'Contained Object'.
      See Also:
        `ContainedObject`
      Generated

    - #### getContainedObject_Object

          public EReference getContainedObject_Object()

      Specified by:
        `getContainedObject_Object` in interface `ExpressionsPackage`
      Returns:
        the meta object for the containment reference 'Object'.
      See Also:
        `ContainedObject.getObject()`, `ExpressionsPackage.getContainedObject()`
      Generated

    - #### getLinkedObject

          public EClass getLinkedObject()

      Specified by:
        `getLinkedObject` in interface `ExpressionsPackage`
      Returns:
        the meta object for class 'Linked Object'.
      See Also:
        `LinkedObject`
      Generated

    - #### getLinkedObject_Object

          public EReference getLinkedObject_Object()

      Specified by:
        `getLinkedObject_Object` in interface `ExpressionsPackage`
      Returns:
        the meta object for the reference 'Object'.
      See Also:
        `LinkedObject.getObject()`, `ExpressionsPackage.getLinkedObject()`
      Generated

    - #### getLinkedExpression

          public EClass getLinkedExpression()

      Specified by:
        `getLinkedExpression` in interface `ExpressionsPackage`
      Returns:
        the meta object for class 'Linked Expression'.
      See Also:
        `LinkedExpression`
      Generated

    - #### getLinkedExpression_Expression

          public EReference getLinkedExpression_Expression()

      Specified by:
        `getLinkedExpression_Expression` in interface `ExpressionsPackage`
      Returns:
        the meta object for the reference 'Expression'.
      See Also:
        `LinkedExpression.getExpression()`, `ExpressionsPackage.getLinkedExpression()`
      Generated

    - #### getListConstruction

          public EClass getListConstruction()

      Specified by:
        `getListConstruction` in interface `ExpressionsPackage`
      Returns:
        the meta object for class 'List Construction'.
      See Also:
        `ListConstruction`
      Generated

    - #### getListConstruction_Elements

          public EReference getListConstruction_Elements()

      Specified by:
        `getListConstruction_Elements` in interface `ExpressionsPackage`
      Returns:
        the meta object for the containment reference list 'Elements'.
      See Also:
        `ListConstruction.getElements()`, `ExpressionsPackage.getListConstruction()`
      Generated

    - #### getEvaluationContext

          public EDataType getEvaluationContext()

      Specified by:
        `getEvaluationContext` in interface `ExpressionsPackage`
      Returns:
        the meta object for data type 'Evaluation Context'.
      See Also:
        `EvaluationContext`
      Generated

    - #### getExpressionsFactory

          public ExpressionsFactory getExpressionsFactory()

      Specified by:
        `getExpressionsFactory` in interface `ExpressionsPackage`
      Returns:
        the factory that creates the instances of the model.
      Generated

    - #### createPackageContents

          public void createPackageContents()

      Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.
      Generated

    - #### initializePackageContents

          public void initializePackageContents()

      Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html